사용자

여러 ID로 사용자 조회

GET /v1/users/batch reads 1 per id 크레딧

한 번의 호출로 최대 50개 계정의 프로필을 숫자형 id로 조회합니다. 요청한 id당 1크레딧을 소모합니다.

쿼리 매개변수

쿼리 파라미터타입의미
ids *string (1–50 ids)쉼표로 구분한 숫자형 계정 id, 1~50개

응답

items에 찾은 프로필이 요청 순서대로 담깁니다. missing에는 어떤 계정에도 해당하지 않은 id가 나열됩니다.

상태: 200, 400, 429, 502

요청
curl https://api.xsignalfeed.com/v1/users/batch?ids=1652541,11348282,999999999999999999 \
  -H "Authorization: Bearer xsf_your_key"
응답 · 200 / 400
{
  "items": [
    {
      "id": "1652541",
      "name": "Reuters",
      "screen_name": "Reuters",
      "bio": "Top and breaking news, pictures and videos from Reuters…",
      "location": "Around the world",
      "url": "https://t.co/…",
      "avatar": "https://pbs.twimg.com/profile_images/…",
      "banner": "https://pbs.twimg.com/profile_banners/1652541/…",
      "pinned": null,
      "verified": true,
      "protected": false,
      "followers": 26367695,
      "following": 1195,
      "tweets": 1395836
    },
    {
      "id": "11348282",
      "name": "NASA",
      "screen_name": "NASA",
      "bio": "Making the seemingly impossible, possible. ✨",
      "location": "Pale Blue Dot",
      "…": "…"
    }
  ],
  "missing": [
    "999999999999999999"
  ]
}